# ABiMS theme for Tripal

Written for use with the [official tripal docker image](https://github.com/erasche/docker-tripal)

## Configuration

The theme can be configured using environment variables, which can be configured from the docker-compose.yml file.

```yaml
version: "2"
services:
  web:
    image: tripal:latest
    [...]
    environment:
      THEME_GIT_CLONE: "http://gitlab.sb-roscoff.fr/abims/e-infra/tripal_abims.git"
      THEME: "abims"
      SITE_NAME: "Spodoptera frugiperda" # Set this to the name of the species
      ENABLE_BLAST: 1 # 1 to add links to blast form, some/url to specify the path (relative to tripal BASE_URL_PATH), multiple urls as "Name1=url1&Name2=url2", 0 to disable it
      ENABLE_JBROWSE: 1 # 1 to add links to jbrowse, jbrowse?data=xxx to specify the path (relative to tripal BASE_URL_PATH), 0 to disable it
      ENABLE_APOLLO: 1 # 1 to add links to apollo, some/url to specify the path (relative to tripal BASE_URL_PATH), 0 to disable it
      ENABLE_DOWNLOAD: 1 # 1 to add links to download dir, some/url to specify the path (relative to tripal BASE_URL_PATH), 0 to disable it
      ENABLE_GO: 1 # 1 to add links to GO summary, some/url to specify the path (relative to tripal BASE_URL_PATH), 0 to disable it
      ENABLE_WIKI: 1 # 1 to add links to wiki, some/url to specify the path (relative to tripal BASE_URL_PATH), 0 to disable it
      JBROWSE_LINKS: "SFRU_RICE>rice" # correspondance between contig name prefix and jbrowse dataset id, example: "SFRU_RICE>rice_1;SFRU_CORN>corn_2"
      # By default APOLLO_LINKS == JBROWSE_LINKS
      APOLLO_LINKS: "SFRU_RICE>rice" # correspondance between contig name prefix and apollo organism id, example: "SFRU_RICE>rice_1;SFRU_CORN>corn_2"
    [...]
```

If you prefer, you can also use the organism abbreviation in JBROWSE_LINKS:

```
    JBROWSE_LINKS: "S. frugiperda corn>sfcorn;S. frugiperda rice>sfrice"
```
